Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getPropertyValue = undefined;

var _templateObject = _taggedTemplateLiteral(['\n    ', ': ', ';\n  '], ['\n    ', ': ', ';\n  ']);

var _has = require('lodash/has');

var _has2 = _interopRequireDefault(_has);

var _camelCase = require('lodash/camelCase');

var _camelCase2 = _interopRequireDefault(_camelCase);

var _isObject = require('lodash/isObject');

var _isObject2 = _interopRequireDefault(_isObject);

var _isNull = require('lodash/isNull');

var _isNull2 = _interopRequireDefault(_isNull);

var _styledComponents = require('styled-components');

var _theme = require('../../theme');

var _helpers = require('../../helpers');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var getPropertyValue = exports.getPropertyValue = function getPropertyValue(props, breakpoint, property) {
  var propertySlug = (0, _camelCase2['default'])(property);
  var ThemeBreakpoints = _theme.themeProvider.theme(props).breakpoints;

  if ((0, _has2['default'])(props, '' + String(propertySlug))) {
    if ((0, _isObject2['default'])(props[propertySlug])) {
      return props[propertySlug][breakpoint] || null;
    }

    if (breakpoint === (0, _helpers.sortBreakpoints)(ThemeBreakpoints)[0]) {
      return props[propertySlug] || null;
    }
  }

  return null;
};

var CSSProperty = function CSSProperty(props, breakpoint, property) {
  var value = getPropertyValue(props, breakpoint, property);

  return (0, _isNull2['default'])(value) ? null : (0, _styledComponents.css)(_templateObject, property, value);
};

exports['default'] = CSSProperty;